import { ChainEntity, ChainKey } from './entity';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.event.ChainEntityEvent <br/>
*/
export interface ChainEntityEvent<E extends ChainEntity> extends ChainEvent<E> {
    readonly key?: ChainKey;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.event.ChainEvent <br/>
*/
export interface ChainEvent<P> {
    readonly module?: string;
    readonly name?: string;
    readonly payload?: P;
    readonly timeStamp?: Date;
    readonly tx?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.event.ChainEventBase <br/>
*/
export interface ChainEventBase<P> extends ChainEvent<P> {
    module?: string;
    name?: string;
    timeStamp?: Date;
    readonly tx?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.event.ChainEventBean <br/>
*/
export interface ChainEventBean<P> extends ChainEventBase<P> {
    payload?: P;
}
