export declare class ChainContext {
    constructor(data?: any);
    name?: string;
    shortName: string;
    desc?: string;
    baseUrl?: string;
    tokenUrl?: string;
    modules: ModuleInfo[];
    protected init(data: any): void;
}
export interface ModuleInfo {
    reg: string;
    name?: string;
    desc?: string;
    apiUrl?: string;
    aspects: AspectInfo[];
}
export interface AspectInfo {
    name?: string;
    shortName: string;
    desc?: string;
    apiUrl?: string;
    requests?: string[];
}
