export interface Range<V> {
    from?: V;
    to?: V;
}
export interface DataRange<V> extends Range<V> {
}
export interface IntRange extends DataRange<number> {
}
export interface DateRange extends DataRange<Date> {
}
export interface LocalDateRange extends DataRange<Date> {
}
export interface InstantRange extends DataRange<Date> {
}
export interface LocalDateTimeRange extends DataRange<Date> {
}
