import { DateRange } from './range';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.change.Change <br/>
*/
export interface Change {
    date?: Date;
    /**
    *	@example my example change
    */
    notes?: string;
    /**
    *	@example sample@yukawa.de
    */
    user?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.change.ChangeFilter <br/>
*/
export interface ChangeFilter {
    date?: DateRange;
    user?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.change.Changed <br/>
*/
export interface Changed {
    change?: Change;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.change.Created <br/>
*/
export interface Created {
    created?: Change;
}
