import { Change, Created } from './change';
import { EntityFilter } from './entity';
import { Info } from './info';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.label.Label <br/>
*/
export interface Label extends Created, Info {
    colorCode?: string;
    created?: Change;
    numberOfAssignments?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.label.LabelFilter <br/>
*/
export interface LabelFilter extends EntityFilter {
    colorCode?: string;
    id?: string;
    name?: string;
    shortName?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.label.Labeled <br/>
*/
export interface Labeled {
    labels?: Label[];
}
